//+------------------------------------------------------------------+
//|                                                          ABC.mq4 |
//|                                          quantumtrade7@gmail.com |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "QuantF"
#property link      "quantumtrade7@gmail.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Magenta
#property indicator_color2 Aqua
#property indicator_color3 Lime
//--- input parameters
extern int       Period_=5;
extern double       Rmax=0.005;
//--- buffers
double Max[];
double Min[];
double RazmahMax[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(3);
   SetIndexBuffer(1,Max);
   SetIndexBuffer(2,Min);
   SetIndexBuffer(0,RazmahMax);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,226);
   SetIndexEmptyValue(0,0.0);
   IndicatorDigits(Digits+1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    int counted_bars=IndicatorCounted(),limit, i;
    double minimum,maximum,spuskMax;
   if(counted_bars>0)
      counted_bars--;  
   limit=Bars-counted_bars;
   for(i=0;i<limit;i++)
   {
      maximum=High[iHighest(NULL,0,MODE_HIGH,Period_,i)];
      minimum=Low[iLowest(NULL,0,MODE_LOW,Period_,i)];
      Max[i]=maximum;
      Min[i]=minimum;
   }
   for(i=0;i<limit;i++)
   {
   spuskMax=Max[i]-Low[i];
   if (spuskMax > Rmax && Close[i] < Open[i])RazmahMax[i]=High[i];
   }
   return(0);
  }
//+------------------------------------------------------------------+
